Subject: bug#21763: poor performance since grep 2.19 when comparing files with grep

From: "Bennett, Steve" <[email-masked]>
Date: Tue, 27 Oct 2015 09:06:24 +0000

> Thank you for reporting that.
> Interesting: that progression (time vs. increasing N) is clearly quadratic
> or worse when using a multibyte locale, but is linear with LC_ALL=C.
> I suspect when you run "locale", it reports something like en_US.utf8.

Yes, it's a UTF8 locale. I hadn't thought of that and I should have realised,
given that that's what the main change was in grep v2.19.

> I.e., if you have no need for multi-byte matching, set LC_ALL=C, and that 
> idiom will be very quick, even for a million lines:

Yes, you're totally right there. Thanks!

> Currently, I am not planning even to investigate this for the imminent
> release.

I totally agree!

Cheers,

Steve.